SLONIK DROP LISTEN(7)

NAME
DROP LISTEN - Eliminate configuration indicating how Slony-I node listens for events

SYNOPSIS
DROP LISTEN (options);

DESCRIPTION

Remove a ``listen'' configuration entry.

ORIGIN  = ival
    Node ID of the event origin the receiver is listening for.

PROVIDER = ival
    Node ID of the node from which the receiver gets events that come from the origin. If not specified, default is the origin.

RECEIVER = ival
    The ID of the node receiving the events.

This uses droplisten(integer,integer,integer).

EXAMPLE
     DROP LISTEN ( ORIGIN = 1, RECEIVER = 2, PROVIDER = 3 );

LOCKING BEHAVIOUR

No application-visible locking should take place.

SLONIK EVENT CONFIRMATION BEHAVIOUR

Slonik waits for the command submitted to the previous event node to be confirmed on the specified event node before submitting this command.

VERSION INFORMATION

This command was introduced in Slony-I 1.0. As of version 1.1, you should not need to use it anymore.